Progressed Lunar Events
The Progressed Lunar Events API returns progressed New Moon and Full Moon events along with the progressed date, sign, degree, longitude, and house details.
API Endpoint
POST https://astroapi-8.divineapi.com/western-api/v1/progressed-lunar-eventsReturns Progressed Lunar Events in response
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | your API Access Tokeneg: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| full_name* | String | Full name, eg: Rahul Kumar |
| day* | Integer | Birth day, eg: 24 |
| month* | Integer | Birth month, eg: 05 |
| year* | Integer | Birth year, eg: 2023 |
| hour* | Integer | Birth hour, eg: 14 |
| min* | Integer | Birth minute, eg: 40 |
| sec* | Integer | Birth second, eg: 43 |
| gender* | String | Gender, eg: male |
| place* | String | Birth place, eg: New Delhi, India |
| lat* | Float | Latitude, eg: 28.7041 |
| lon* | Float | Longitude, eg: 77.1025 |
| tzone* | Float | Timezone, eg: 5.5 |
| prenatal_type* | String | Prenatal type, eg: SYZYGY (Allowed: SYZYGY/EPOCH/ECLIPSE) |
| node_type | String | meannode or truenode (default: meannode) |
200: OK Progressed Lunar Events fetched successfully
{
"status": "success",
"code": 200,
"message": "Request successful",
"data": [
{
"phase": "Full Moon",
"progressed_date": "2004-09-10 10:58:43",
"years": -19,
"full_degree": "134.96824",
"sign": "Leo",
"sign_no": 5,
"longitude": "14:58:5",
"house": 11
},
{
"phase": "New Moon",
"progressed_date": "2018-08-29 18:52:43",
"years": -5,
"full_degree": "58.42171",
"sign": "Taurus",
"sign_no": 2,
"longitude": "28:25:18",
"house": 8
},
{
"phase": "Full Moon",
"progressed_date": "2034-03-12 23:46:43",
"years": 10,
"full_degree": "163.30038",
"sign": "Virgo",
"sign_no": 6,
"longitude": "13:18:1",
"house": 12
},
{
"phase": "New Moon",
"progressed_date": "2048-04-08 23:16:43",
"years": 24,
"full_degree": "86.72170",
"sign": "Gemini",
"sign_no": 3,
"longitude": "26:43:18",
"house": 9
},
{
"phase": "Full Moon",
"progressed_date": "2063-08-09 23:22:43",
"years": 40,
"full_degree": "191.30671",
"sign": "Libra",
"sign_no": 7,
"longitude": "11:18:24",
"house": 1
},
{
"phase": "New Moon",
"progressed_date": "2077-12-07 04:46:43",
"years": 54,
"full_degree": "114.93541",
"sign": "Cancer",
"sign_no": 4,
"longitude": "24:56:7",
"house": 10
},
{
"phase": "Full Moon",
"progressed_date": "2092-12-21 22:40:43",
"years": 69,
"full_degree": "219.25804",
"sign": "Scorpio",
"sign_no": 8,
"longitude": "9:15:28",
"house": 2
},
{
"phase": "New Moon",
"progressed_date": "2107-08-23 11:22:43",
"years": 84,
"full_degree": "143.28560",
"sign": "Leo",
"sign_no": 5,
"longitude": "23:17:8",
"house": 11
},
{
"phase": "Full Moon",
"progressed_date": "2122-05-07 17:04:43",
"years": 98,
"full_degree": "247.41550",
"sign": "Sagittarius",
"sign_no": 9,
"longitude": "7:24:55",
"house": 3
},
{
"phase": "New Moon",
"progressed_date": "2137-05-23 23:34:43",
"years": 113,
"full_degree": "171.97781",
"sign": "Virgo",
"sign_no": 6,
"longitude": "21:58:40",
"house": 12
}
]
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-8.divineapi.com/western-api/v1/progressed-lunar-events' \
--header 'Authorization: Bearer {token}' \
--form 'api_key="Your API Key"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min ="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'prenatal_type="SYZYGY"'NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-8.divineapi.com/western-api/v1/progressed-lunar-events',
'headers': {
'Authorization': 'Bearer {token}'
},
formData: {
'api_key': 'Your API Key',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min ': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'prenatal_type': 'SYZYGY'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript jQuery AJAX
var form = new FormData();
form.append("api_key", "Your API Key");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min ", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("prenatal_type", "SYZYGY");
var settings = {
"url": "https://astroapi-8.divineapi.com/western-api/v1/progressed-lunar-events",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-8.divineapi.com/western-api/v1/progressed-lunar-events"
payload = {'api_key': 'Your API Key',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min ': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'prenatal_type': 'SYZYGY'}
files=[
]
headers = {
'Authorization': 'Bearer {token}'
}
response = requests.request("POST", url, headers=headers, data=payload, files=files)
print(response.text)
Implementation Notes
Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.
Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).
Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.